from flask import Flask,url_for,render_template
#导入蓝图对象
from blueprints.users import users_bp
from blueprints.news import news_bp
from blueprints.cms import cms_bp
app = Flask(__name__)

#注册蓝图
app.register_blueprint(users_bp)
app.register_blueprint(news_bp)
app.register_blueprint(cms_bp)

#需要在主app文件中，需要配置app.config的SERVER_NAME参数
#希望主域名是momo.com
app.config['SERVER_NAME']='momo.com:5000'

@app.route('/')
def hello_world():
    # url_for反转蓝图注意事项 在app类中构建/news/detail/场景一
    #url_for('蓝图名称.视图函数名')
    print(url_for('news.detail'))
    # return 'Hello World!'
    #跳转到主页面
    return render_template('index.html')
#有n个模块
#用户模块
#读书模块
#电影模块

if __name__ == '__main__':
    app.run(debug=True)
